Archimista tips & tricks

Re: Archimista tips & tricks

Messaggioda svassallo » 07/07/2016, 19:39

Questa potrebbe essere utile: il duplica schede https://beniculturali20.wordpress.com/2 ... ca-scheda/

ah è compatibile con la 2.1 non con le precedenti
È così che muore la libertà, sotto scroscianti applausi. (Star Wars – La vendetta dei Sith)
svassallo
Socio ANAI
 
Messaggi: 345
Iscritto il: 19/03/2009, 12:08

Re: Archimista tips & tricks

Messaggioda svassallo » 07/12/2015, 16:12

Per chi servisse, ecco la guida per l'installazione su linux aggiornata alla versione 2.0 https://beniculturali20.wordpress.com/2 ... ux-ubuntu/

Visto che l'installazione per Mac è praticamente uguale si può prendere spunto da qui per molti versi, ma appena posso aggiornerò proprio la guida per Mac
È così che muore la libertà, sotto scroscianti applausi. (Star Wars – La vendetta dei Sith)
svassallo
Socio ANAI
 
Messaggi: 345
Iscritto il: 19/03/2009, 12:08

Re: Archimista tips & tricks

Messaggioda steveumbal » 07/12/2015, 0:23

Infatti, ho visto ora che è stata aggiunta qualche giorno fa la cartella vendor, 'jquery-1.7.1.min' (e altro) sta li dentro.
Ora l'installazione si conclude correttamente.
steveumbal
Iscritto ad Archiviando
 
Messaggi: 6
Iscritto il: 18/11/2015, 16:45

Re: Archimista tips & tricks

Messaggioda svassallo » 06/12/2015, 19:55

Con bundle install dovrebbe fare tutto da solo, andando a leggere nel Gemfile le gemme indicate li
È così che muore la libertà, sotto scroscianti applausi. (Star Wars – La vendetta dei Sith)
svassallo
Socio ANAI
 
Messaggi: 345
Iscritto il: 19/03/2009, 12:08

Re: Archimista tips & tricks

Messaggioda l.iannacci » 06/12/2015, 19:54

Infatti io ho dovuto fare l'update di tutte le gemme e installarne alcune mancanti dal primo github. Grazie mille per la segnalazione!
l.iannacci
Iscritto ad Archiviando
 
Messaggi: 15
Iscritto il: 03/12/2015, 22:25

Re: Archimista tips & tricks

Messaggioda svassallo » 06/12/2015, 19:50

Occhio che sui sorgenti mancavano le componenti vendor come jquery markitup etc
Ora sono state messe
È così che muore la libertà, sotto scroscianti applausi. (Star Wars – La vendetta dei Sith)
svassallo
Socio ANAI
 
Messaggi: 345
Iscritto il: 19/03/2009, 12:08

Re: Archimista tips & tricks

Messaggioda l.iannacci » 04/12/2015, 21:17

steveumbal ha scritto:L'attesa è stata breve ...
Col nuovo ambiente ArchimistaWeb ora si installa correttamente (col ts:configure e ts:rebuild).
Con Archimista2 arrivo alla finestra di login, entrando con le credenziali di default l'applicazione va in crash, sembra manchi qualcosa.
Prima di disturbare gli sviluppatori coi log d'errore volevo chiedere a te.
Ho installato i requisiti, le gemme (con bundle install) e il paio di chiavi necessarie per il database.
Non so niente di Ruby-on-Rails ma confrontando col tuo tutorial su ArchimistaWeb, alla fine per configurare l'ambiente hai usato
"rvmsudo RAILS_ENV=production bundle exec rake assets:precompile", non è che occorra qualcosa di analogo anche per Archimista2?
Provando un po' a caso arrivo a "rake aborted! Sprockets::FileNotFound: couldn't find file 'jquery-1.7.1.min' with type 'application/javascript'"
Non sarà qualcosa del genere che manca?


Buonasera a tutti,
per quanto riguarda l'installazione delle gemme e il popolamento del database io ho seguito le istruzioni sulla guida( https://beniculturali20.wordpress.com/2014/09/22/archimista-tips-tricks-10-installare-archimista-su-mac-os-x-10-6-e-oltre/) già rilasciata per l'installazione di Archimista 1 su Mac (ho forse fatto qualche modifica):

rake gems:install RAILS_ENV=production
rake db:setup RAILS_ENV=production
bundle exec rake assets:precompile (se hai installato le due chiavi)

Il comando per avviare il server interno di rails è invece completamente cambiato:
rails server -e production

Se invece l'errore è : <"rake aborted! Sprockets::FileNotFound: couldn't find file 'jquery-1.7.1.min' with type 'application/javascript> forse non hai installato la gemma query-1.7.1.min: prova con questo comando: gem install query-rails

Io invece ho qualche problemino con l'importazione del file .aef dalla versione precedente alla nuova...
Un saluto a tutti!
l.iannacci
Iscritto ad Archiviando
 
Messaggi: 15
Iscritto il: 03/12/2015, 22:25

Re: Archimista tips & tricks

Messaggioda steveumbal » 28/11/2015, 19:05

L'attesa è stata breve ...
Col nuovo ambiente ArchimistaWeb ora si installa correttamente (col ts:configure e ts:rebuild).
Con Archimista2 arrivo alla finestra di login, entrando con le credenziali di default l'applicazione va in crash, sembra manchi qualcosa.
Prima di disturbare gli sviluppatori coi log d'errore volevo chiedere a te.
Ho installato i requisiti, le gemme (con bundle install) e il paio di chiavi necessarie per il database.
Non so niente di Ruby-on-Rails ma confrontando col tuo tutorial su ArchimistaWeb, alla fine per configurare l'ambiente hai usato
"rvmsudo RAILS_ENV=production bundle exec rake assets:precompile", non è che occorra qualcosa di analogo anche per Archimista2?
Provando un po' a caso arrivo a "rake aborted! Sprockets::FileNotFound: couldn't find file 'jquery-1.7.1.min' with type 'application/javascript'"
Non sarà qualcosa del genere che manca?
steveumbal
Iscritto ad Archiviando
 
Messaggi: 6
Iscritto il: 18/11/2015, 16:45

Re: Archimista tips & tricks

Messaggioda steveumbal » 27/11/2015, 12:29

In effetti sarà meglio attendere la versione 2, supportare due versioni di passenger penso non ne valga la pena nel mio caso.
Un saluto.
steveumbal
Iscritto ad Archiviando
 
Messaggi: 6
Iscritto il: 18/11/2015, 16:45

Re: Archimista tips & tricks

Messaggioda svassallo » 26/11/2015, 15:08

il problema, in questo caso, è che la guida si riferiva alla precedente versione di archimistaweb, quando funzionava con ruby 1.8.7 e con la vecchia versione del motore sphinx

per il problema di sphinx basta usare ts:configure e ts:rebuild invece di thinking_sphinx

il problema è che essendo due versioni di ruby diverse passenger potrebbe fare casino.
La versione 4 di passenger ben si intergra con RVM e quindi con versione multiple di ruby https://rvm.io/deployment/passenger con la 3 invece bisogna usare altre strategie vedi https://rvm.io/deployment/passenger3 e qui spiegato come fare http://old.blog.phusion.nl/2010/09/21/p ... -versions/

Tieni conto che sembra che a breve venga rilasciato archimista 2, aggiornato a ruby 2 quindi questi problemi dovrebbero sparire
È così che muore la libertà, sotto scroscianti applausi. (Star Wars – La vendetta dei Sith)
svassallo
Socio ANAI
 
Messaggi: 345
Iscritto il: 19/03/2009, 12:08

Prossimo

Torna a Altri suggerimenti e segnalazioni

Chi c’è in linea

Visitano il forum: Nessuno e 1 ospite